org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class GridDhtPartitionMap

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionMap2
  - - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionMap

All Implemented Interfaces:
  Externalizable, Serializable, Comparable<GridDhtPartitionMap2>

Deprecated.

    @Deprecated
    public class GridDhtPartitionMap
    extends GridDhtPartitionMap2

Partition map.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionMap2

`map, nodeId, SINCE, top, updateSeq`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtPartitionMap()` Deprecated. Empty constructor required for `Externalizable`.
`GridDhtPartitionMap(UUID nodeId, long updateSeq, Map<Integer,GridDhtPartitionState> m)` Deprecated.

### Method Summary

Methods
`boolean` `equals(Object o)` Deprecated.
`int` `hashCode()` Deprecated.
`void` `readExternal(ObjectInput in)` Deprecated.
`String` `toFullString()` Deprecated.
`String` `toString()` Deprecated.
`void` `writeExternal(ObjectOutput out)` Deprecated.

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionMap2

`compareTo, containsKey, emptyCopy, entrySet, get, hasMovingPartitions, keySet, map, nodeId, put, size, topologyVersion, updateSequence, updateSequence`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDhtPartitionMap

    public GridDhtPartitionMap(UUID nodeId,
                       long updateSeq,
                       Map<Integer,GridDhtPartitionState> m)

Deprecated.

Parameters:
  `nodeId` - Node ID.
  `updateSeq` - Update sequence number.
  `m` - Map to copy.

#### GridDhtPartitionMap

    public GridDhtPartitionMap()

Deprecated.
Empty constructor required for `Externalizable`.

### Method Detail

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Deprecated.

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridDhtPartitionMap2`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Deprecated.

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridDhtPartitionMap2`
Throws:
  `IOException`
  `ClassNotFoundException`

#### equals

    public boolean equals(Object o)

Deprecated.

Overrides:
  `equals` in class `GridDhtPartitionMap2`

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `GridDhtPartitionMap2`

#### toFullString

    public String toFullString()

Deprecated.

Overrides:
  `toFullString` in class `GridDhtPartitionMap2`
Returns:
  Full string representation.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `GridDhtPartitionMap2`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017